#!/usr2/local/bin/perl -w

# Load some sample data into the movie reviews database
# This is real data collected off the web.

use SDBM_File;
use POSIX;
use Fcntl;

tie %movies, SDBM_File, 'movies', O_CREAT|O_RDWR, 0666;

sub packReview {
   my @a = split / /, shift;
   pack('l11a30',@a[1..11],$a[0]);
}

$movies{'Boldheart'}      = packReview 'fxfx.com 8 9 1 1 3 2 3 14 32 78 159'; 
$movies{'Caper'}          = packReview 'io.org 7 7 1 4 2 10 15 20 24 14 49'; 
$movies{'Toy Tale'}       = packReview 'kgr.com 10 2 0 2 0 2 0 4 7 15 46'; 
$movies{'Sandworld'}      = packReview 'waite.com 2 42 13 8 20 22 30 48 37 16 23'; 
$movies{'Apollo 14'}       = packReview 'lambert.uwaterloo.ca 5 30 3 2 6 6 22 38 103 149 189'; 
$movies{'Fatman Forever'}  = packReview 'inforamp.net 5 25 11 15 16 38 42 73 81 35 87'; 
$movies{'Bongo'}           = packReview 'cybersquare.com 3 57 19 15 15 21 17 12 17 6 9'; 
$movies{'Dumber and Dumbest'} = packReview 'fxfx.com 8 26 18 5 10 23 22 30 36 31 41'; 

untie %movies;

1;
